Bug 432614 - azureus needs rebuild for firefox-2.0.0.12
azureus needs rebuild for firefox-2.0.0.12
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: azureus (Show other bugs)
8
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Lillian Angel
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 07:16 EST by David Juran
Modified: 2008-03-26 15:21 EDT (History)
6 users (show)

See Also:
Fixed In Version: 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 13:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to make azureus startup script work for any version of firefox (1.25 KB, patch)
2008-02-13 15:26 EST, Stu Tomlinson
no flags Details | Diff
Possible script to work on 64bit arch too (985 bytes, patch)
2008-03-25 21:37 EDT, Stu Tomlinson
no flags Details | Diff
Another attempt at fixing 64bits (1007 bytes, patch)
2008-03-25 22:01 EDT, Stu Tomlinson
no flags Details | Diff

  None (edit)
Description David Juran 2008-02-13 07:16:12 EST
Description of problem:
Firefox-2.0.0.12-1.fc8 has recently been pushed but azureus still requires
firefox-2.0.0.10. 
I believe the issue is rater urgent since it prevents yum from applying the
security fix.

Version-Release number of selected component (if applicable):
azureus-3.0.3.4-3.fc8

How reproducible:
Every time

Steps to Reproduce:
1. yum upgrade
  
Actual results:
Error: Missing Dependency: firefox = 2.0.0.10 is needed by package azureus
Comment 1 Lillian Angel 2008-02-13 09:51:46 EST
Thanks, working on it now.
Comment 2 Lillian Angel 2008-02-13 09:53:10 EST
A workaround: edit /usr/bin/azureus - change replace 2.0.0.10 with 2.0.0.12
Comment 3 Lillian Angel 2008-02-13 09:58:50 EST
my mistake- that workaround will only work to run azureus. for the time being,
remove the azureus rpm and do yum update as per normal. Once azureus is pushed
into fedora 8, this will be fixed.
Comment 4 Fedora Update System 2008-02-13 10:37:44 EST
azureus-3.0.3.4-5.fc8 has been submitted as an update for Fedora 8
Comment 6 Stu Tomlinson 2008-02-13 15:18:52 EST
Why does azureus require a specific version of firefox at all?
Comment 7 Stu Tomlinson 2008-02-13 15:26:52 EST
Created attachment 294830 [details]
Patch to make azureus startup script work for any version of firefox

With this patch (against the script in Fedora CVS), I believe the version
requirement on Firefox can be dropped
Comment 8 Lillian Angel 2008-02-13 15:34:15 EST
Thanks! I will fix that.
Comment 9 Fedora Update System 2008-02-13 16:02:48 EST
azureus-3.0.3.4-6.fc8 has been submitted as an update for Fedora 8
Comment 10 Alex Lancaster 2008-02-15 16:34:28 EST
azureus should probably have been added to:

http://fedoraproject.org/wiki/WillWoods/Drafts/FirefoxUpdates

I have done so now.

(I think the firefox maintainer has been using this list to determine the
packages needed to be rebuilt).
Comment 11 Stu Tomlinson 2008-02-15 16:47:57 EST
(In reply to comment #10)
> azureus should probably have been added to:
> 
> http://fedoraproject.org/wiki/WillWoods/Drafts/FirefoxUpdates
> 
> I have done so now.
> 
> (I think the firefox maintainer has been using this list to determine the
> packages needed to be rebuilt).

But Azureus does not depend on a specific version of firefox anymore.
Comment 12 Alex Lancaster 2008-02-15 19:48:24 EST
(In reply to comment #11)
> > (I think the firefox maintainer has been using this list to determine the
> > packages needed to be rebuilt).
> 
> But Azureus does not depend on a specific version of firefox anymore.

OK, but it *did* at the time of the firefox update.
Comment 13 Fedora Update System 2008-02-15 21:11:46 EST
azureus-3.0.3.4-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Christopher Aillon 2008-03-25 12:09:42 EDT
This fix is incomplete.  It will only work for 32bit versions since it only
reads /etc/gre.d/gre.conf which will only ever have 32bit versions.  Re-opening.
Comment 15 Lillian Angel 2008-03-25 14:19:28 EDT
I see /etc/gre.d/gre.conf on 64-bit.

$ uname -a
Linux toycar 2.6.23-0.214.rc8.git2.fc8 #1 SMP Fri Sep 28 17:10:49 EDT 2007
x86_64 x86_64 x86_64 GNU/Linux
$ ls /etc/gre.d/
gre64.conf  gre.conf

Both gre64.conf and gre.conf are identical.


Can I close this bug?
Comment 16 Christopher Aillon 2008-03-25 21:15:47 EDT
They aren't identical.  They point to different locations (/usr/lib vs /usr/lib64)
Comment 17 Stu Tomlinson 2008-03-25 21:37:46 EDT
Created attachment 299086 [details]
Possible script to work on 64bit arch too

I don't know if this is sufficient, but it prefers gre64.conf if it exists,
otherwise falling back to gre.conf (it also fixes the eval to actually work).
Comment 18 Christopher Aillon 2008-03-25 21:41:34 EDT
It's not sufficient since someone with both 32 and 64 bit versions installed
could do setarch i386 which would want to run 32bit stuff...
Comment 19 Stu Tomlinson 2008-03-25 22:01:34 EDT
Created attachment 299088 [details]
Another attempt at fixing 64bits

Sorry, I only have i386 hardware to test with. This will be my last attempt at
this. I have no idea if this will work for ppc/ppc64 or sparc/sparc64, but it
could probably be adapted.
Comment 20 Lillian Angel 2008-03-26 09:16:09 EDT
My mistake. I overlooked the differences. 

That patch definitely works on x86_64, i386, ppc and ppc64. I will rebuild and
update azureus.
Comment 21 Fedora Update System 2008-03-26 09:51:43 EDT
azureus-3.0.3.4-7.fc8 has been submitted as an update for Fedora 8
Comment 23 Fedora Update System 2008-03-26 13:15:46 EDT
azureus-3.0.3.4-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Christopher Aillon 2008-03-26 15:21:16 EDT
Note it won't work on s390 vs s390x....  Not sure whether anyone cares about
running azureus on those platforms...

Note You need to log in before you can comment on or make changes to this bug.